Subject: bug#9621: 24.0.90; a characger not displayed

From: Kenichi Handa <[email-masked]>
Date: Thu, 29 Sep 2011 11:01:02 +0900

In article <[email-masked]>, William Xu <[email-masked]> writes:

> The real problem is that when the selected font(like BatangChe here)
> doesn't contain all the glyphs for the unicode range it covers, emacs
> doesn't select a fallback font, like Arial Unicode MS here.  

Really?  I remember that I wrote a code to search for
another font in such a case.

> Only if one day the following code could be implemented?..  

> int
> w32font_has_char (Lisp_Object entity, int c)
> {
>   /* We can't be certain about which characters a font will support until
>      we open it.  Checking the scripts that the font supports turns out
>      to not be reliable.  */
>   return -1;

Even if the above function is not fully implemented, the
current font selection code should try to open the font and
do another check.  It seems that the mechanism is not
working well on Windows.  Please show me the info I asked in
the previous mail (the procedure starting from (setq
font-log nil)).

---
Kenichi Handa
[email-masked]